Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::null_x3d_vrml_parse_actions Struct Reference

No-op semantic actions for `x3d_vrml_grammar`. More...

`#include <openvrml/x3d_vrml_grammar.h>`

Inheritance diagram for openvrml::null_x3d_vrml_parse_actions:
[legend]

List of all members.

## Public Attributes

struct openvrml::null_x3d_vrml_parse_actions::on_profile_statement_t | on_profile_statement
struct openvrml::null_x3d_vrml_parse_actions::on_component_statement_t | on_component_statement
struct openvrml::null_x3d_vrml_parse_actions::on_meta_statement_t | on_meta_statement
struct openvrml::null_x3d_vrml_parse_actions::on_import_statement_t | on_import_statement
struct openvrml::null_x3d_vrml_parse_actions::on_export_statement_t | on_export_statement
struct openvrml::null_x3d_vrml_parse_actions::on_sfcolorrgba_t | on_sfcolorrgba
struct openvrml::null_x3d_vrml_parse_actions::on_sfdouble_t | on_sfdouble
struct openvrml::null_x3d_vrml_parse_actions::on_sfvec2d_t | on_sfvec2d
struct openvrml::null_x3d_vrml_parse_actions::on_sfvec3d_t | on_sfvec3d
struct openvrml::null_x3d_vrml_parse_actions::on_mfbool_t | on_mfbool
struct openvrml::null_x3d_vrml_parse_actions::on_mfcolorrgba_t | on_mfcolorrgba
struct openvrml::null_x3d_vrml_parse_actions::on_mfimage_t | on_mfimage
struct openvrml::null_x3d_vrml_parse_actions::on_mfvec2d_t | on_mfvec2d
struct openvrml::null_x3d_vrml_parse_actions::on_mfvec3d_t | on_mfvec3d

## Detailed Description

No-op semantic actions for `x3d_vrml_grammar`.

This `struct` includes a no-op function for each semantic action called by `x3d_vrml_grammar`. It is the default value of `x3d_vrml_grammar's` `Actions` template parameter. It is generally convenient to inherit this `struct` when providing your own semantic actions, as doing so will provide a default no-op action where none has been implemented or none needs to occur.